%define upstream_name    Pod-Coverage-Moose
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    L<Pod::Coverage> extension for L<Moose>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.630.200
BuildRequires: perl(FindBin)
BuildRequires: perl(Moose) >= 0.240.0
BuildRequires: perl(MooseX::Role::WithOverloading)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Pod::Coverage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(namespace::clean) >= 0.50.0
BuildArch:  noarch

%{?perl_default_filter}

%description
When using the Pod::Coverage manpage in combination with the Moose manpage,
it will report any method imported from a Role. This is especially bad when
used in combination with the Test::Pod::Coverage manpage, since it takes
away its ease of use.

To use this module in combination with the Test::Pod::Coverage manpage, use
something like this:

  use Test::Pod::Coverage;
  all_pod_coverage_ok({ coverage_class => 'Pod::Coverage::Moose'});

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.70.0-4pclos2017
- rebuild against updates

